# DeviceToolbar

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Provides methods to interact with the client device's toolbar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceToolbar
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceToolbar
```

{% endtab %}
{% endtabs %}

The Device's title bar must be visible to see the toolbar. Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceToolbar()

Initializes a new instance of [DeviceToolbar](/hybrid/start/api/ui/wisej.hybrid.devicetoolbar.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)BackColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the toolbar's background color.

### ![](/files/CCV9PPenlC1YZvNh1I6R)ForeColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Gets or sets the toolbar's foreground color.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Items

[ToolbarItem\[\]](/hybrid/start/api/ui/wisej.hybrid.shared.toolbar.toolbaritem.md): Gets or sets the device's toolbar items.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Visible

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the toolbar is visible.

## Events

### ![](/files/CCV9PPenlC1YZvNh1I6R)ItemClicked

[EventHandler\<ToolbarItemClickedEventArgs>](https://docs.microsoft.com/dotnet/api/system.eventhandler-1) Fires when a toolbar item is clicked.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.devicetoolbar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
